(***********************************************************************)
(*                                                                     *)
(*                         Caml Special Light                          *)
(*                                                                     *)
(*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1995 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* translmod.mli,v 1.5 1996/02/18 14:43:18 xleroy Exp *)

(* Translation from typed abstract syntax to lambda terms,
   for the module language *)

open Typedtree
open Lambda

val transl_implementation: string -> structure -> module_coercion -> lambda
val transl_store_implementation:
      string -> structure -> module_coercion -> int * lambda
val transl_toplevel_definition: structure -> lambda

val primitive_declarations: string list ref
