/***********************************************************************/
/*                                                                     */
/*                         Caml Special Light                          */
/*                                                                     */
/*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         */
/*                                                                     */
/*  Copyright 1995 Institut National de Recherche en Informatique et   */
/*  Automatique.  Distributed only by permission.                      */
/*                                                                     */
/***********************************************************************/

/* listen.c,v 1.2 1995/08/09 15:03:06 xleroy Exp */

#include <mlvalues.h>
#include "unix.h"

#ifdef HAS_SOCKETS

value unix_listen(sock, backlog)
     value sock, backlog;
{
  if (listen(Int_val(sock), Int_val(backlog)) == -1) uerror("listen", Nothing);
  return Val_unit;
}

#else

value unix_listen() { invalid_argument("listen not implemented"); }

#endif
